cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Explorer
Explorer
287 Views
Registered: ‎07-17-2014

XRT install error on centos8.1

Jump to solution

hi everyone

when i install Xilinx Runtime(XRT) on centos8.1, it reported an error :

无标题.png

Then I looked at ug1451 XRT release- notes.pdf , found that it supports 7.4, 7.5, 7.6 versions of CentOS
But I installed CentOS 8.1, which is supported by Vitis.


What I want to ask is whether the above error is caused by the version ?
Can XRT be installed on CentOS 8.1 ?

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Teacher
Teacher
139 Views
Registered: ‎06-16-2013

Hi @avcon_lee 

 

It seems that you need to add some related package files.

Would you find proper packages by "yum whatprovides" and install them by "yum install" command ?

 

Best regards,

View solution in original post

0 Kudos
7 Replies
Highlighted
Moderator
Moderator
221 Views
Registered: ‎11-04-2010

XRT of v2020.1 PU1 can be supported in CentOS 8.1.

-------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
XRT_os.png
Highlighted
Explorer
Explorer
182 Views
Registered: ‎07-17-2014

@hongh 

thanks,So do you know how to solve the above mistakes

0 Kudos
Highlighted
Moderator
Moderator
170 Views
Registered: ‎11-04-2010

Please try the new XRT.

https://www.xilinx.com/products/boards-and-kits/alveo/u50.html#gettingStarted

 

 

-------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
xrt1.png
xrt2.png
0 Kudos
Highlighted
Explorer
Explorer
148 Views
Registered: ‎07-17-2014

@hongh 

Still not, but the number of errors is less

微信图片_20201109135337.jpg

 

0 Kudos
Highlighted
Teacher
Teacher
140 Views
Registered: ‎06-16-2013

Hi @avcon_lee 

 

It seems that you need to add some related package files.

Would you find proper packages by "yum whatprovides" and install them by "yum install" command ?

 

Best regards,

View solution in original post

0 Kudos
Highlighted
Explorer
Explorer
116 Views
Registered: ‎07-17-2014

@watari 

I tried, But it didn't work.

I found this posthttps://forums.xilinx.com/t5/Alveo-Accelerator-Cards/Install-Alveo/m-p/1131102#M1899 

Considering that petalinux needs to be installed later (judging from ug1144, CentOS 8.1 is not supported),

so I decided to install Ubuntu 18.04, which is supported by Vitis, XRT and petalinux

0 Kudos
Highlighted
Explorer
Explorer
67 Views
Registered: ‎07-17-2014

@watari 

I found the corresponding software package from the Internet, and now XRT has been installed successfully

0 Kudos